Subject: Re: Powerpc compile error with 2.6.39-rc3 and non-SMP configs

From: Paul Gortmaker <[email-masked]>
Date: Wed, 13 Apr 2011 11:45:53 -0400

On 11-04-13 06:17 AM, Michael Guntsche wrote:
> Hi,
> 
> Commit b987812b3fc "powerpc/kexec: Fix mismatched ifdefs for PPC64/SMP."
> breaks compilation on non SMP powerpc machines.

Ah crap.  I compile tested on SMP, so didn't see that.

> I wonder if this commit is really neccessary in the first place. The
> function definition itself is already between an

Your analysis is right, but I think getting rid of the #ifdefs is
still the right approach where possible.  I'll send a fix shortly.

Thanks for the report.

P.

> 
> #ifdef CONFIG_SMP (line 56)
> #endif 
> 
> block so only exists if SMP=y and PPC_STD_MMU_64=y.
> Furthermore the stub in your patch is only created if SMP=y and
> PPC_STD_MMU_64=n which breaks non-SMP configs. 
> 
> Kind regards,
> Michael Guntsche